### Function

# JavaScriptCore options_foreach

#### Declaration [src]

    void
    jsc_options_foreach (
      JSCOptionsFunc function,
      gpointer user_data
    )

#### Description [src]

Iterates all available options calling `function` for each one. Iteration can stop early if `function` returns `FALSE`.

Available since: | 2.24

#### Parameters

`function` | `JSCOptionsFunc`
| A `JSCOptionsFunc` callback.
`user_data` | `gpointer`
| Callback user data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.